Bug 1002103 - erlang : insufficient or ancient Obsoletes
erlang : insufficient or ancient Obsoletes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: erlang (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 09:20 EDT by Michael Schwendt
Modified: 2013-11-10 01:53 EST (History)
2 users (show)

See Also:
Fixed In Version: couchdb-1.3.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:29:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-28 09:20:52 EDT
An insufficient or ancient Obsoletes tag has been discovered in the
package. It should either be corrected or dropped.

The tag is superfluous, because it doesn't obsolete a package found in
Fedora 16 and newer, and that package is ancient:

    erlang-doc-0:R14B-04.1.fc16.noarch  is oldest
    erlang-doc < 0:R13B-04.4  obsoleted by  erlang-doc-0:R16B-01.1.fc20.1.noarch

    erlang-0:R14B-04.1.fc16.i686  is oldest
    erlang < 0:R13B-04.5  obsoleted by  erlang-erl_interface-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-et-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-crypto-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-examples-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-sasl-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-compiler-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-inviso-0:R15B-03.3.fc18.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-reltool-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-diameter-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-eldap-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-erts-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosNotification-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-docbuilder-0:R14B-04.1.fc16.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-parsetools-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-jinterface-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-dialyzer-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-gs-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosTime-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-toolbar-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-tools-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-tv-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-megaco-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-percept-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-ssh-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-asn1-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-erl_docgen-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-ic-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-edoc-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-appmon-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-runtime_tools-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-orber-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-webtool-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-stdlib-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosFileTransfer-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosEvent-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-wx-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-snmp-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-test_server-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosEventDomain-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosProperty-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-ssl-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-mnesia-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-debugger-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-syntax_tools-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-pman-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-typer-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-otp_mibs-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-kernel-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-common_test-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-eunit-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-hipe-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-cosTransactions-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-os_mon-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-inets-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-public_key-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-odbc-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-observer-0:R16B-01.1.fc20.1.i686

    erlang < 0:R13B-04.5  obsoleted by  erlang-xmerl-0:R16B-01.1.fc20.1.i686

[semi-automated bug report]
Comment 1 Fedora Update System 2013-10-24 06:46:12 EDT
erlang-R16B-02.2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/erlang-R16B-02.2.fc20
Comment 2 Fedora Update System 2013-10-24 06:46:27 EDT
erlang-R16B-02.2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/erlang-R16B-02.2.fc19
Comment 3 Fedora Update System 2013-10-24 09:55:11 EDT
erlang-R16B-02.3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/erlang-R16B-02.3.fc19
Comment 4 Fedora Update System 2013-10-24 11:16:34 EDT
erlang-R16B-02.3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/erlang-R16B-02.3.fc20
Comment 5 Fedora Update System 2013-10-26 14:47:49 EDT
Package couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-6.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.3.1-3.fc20 erlang-erlsyslog-0.6.2-4.fc20 erlang-esasl-0.1-13.20120116git665cc80.fc20 erlang-esdl-1.3.1-2.fc20 erlang-js-1.2.2-3.fc20 ejabberd-2.1.13-6.fc20 erlang-R16B-02.3.fc20 wings-1.4.1-8.git9a2473e.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20029/ejabberd-2.1.13-6.fc20,couchdb-1.3.1-3.fc20,wings-1.4.1-8.git9a2473e.fc20,erlang-js-1.2.2-3.fc20,erlang-esdl-1.3.1-2.fc20,erlang-esasl-0.1-13.20120116git665cc80.fc20,erlang-erlsyslog-0.6.2-4.fc20,erlang-R16B-02.3.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-06 02:29:47 EST
couchdb-1.3.1-3.fc19, erlang-erlsyslog-0.6.2-4.fc19, erlang-esdl-1.3.1-2.fc19, erlang-js-1.2.2-3.fc19, erlang-esasl-0.1-13.20120116git665cc80.fc19, ejabberd-2.1.13-7.fc19, erlang-R16B-02.3.fc19, wings-1.4.1-8.git9a2473e.fc19, riak-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-10 01:53:47 EST
couchdb-1.3.1-3.fc20, erlang-erlsyslog-0.6.2-4.fc20, erlang-esasl-0.1-13.20120116git665cc80.fc20, erlang-esdl-1.3.1-2.fc20, erlang-js-1.2.2-3.fc20, ejabberd-2.1.13-7.fc20, erlang-R16B-02.3.fc20, wings-1.4.1-8.git9a2473e.fc20, riak-1.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.